Bug 285771 - Cannot manually add Ralink rt2500 based cards
Cannot manually add Ralink rt2500 based cards
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
7
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-11 07:52 EDT by Alexander Shopov
Modified: 2008-06-16 22:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:22:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screeen capture showing the unsuccessful process of adding the card (1.29 MB, image/gif)
2007-09-11 08:02 EDT, Alexander Shopov
no flags Details

  None (edit)
Description Alexander Shopov 2007-09-11 07:52:18 EDT
Description of problem:
No entry for Ralink based PCMCIA cards in system-config-networdk

Version-Release number of selected component (if applicable):
rpm -qi system-config-network
Name        : system-config-network        Relocations: (not relocatable)
Version     : 1.3.96.2                          Vendor: Fedora Project
Release     : 1.fc7                         Build Date:  6.09.2007 (чт) 11,05,28
EEST


How reproducible:
Always, on several machines

Steps to Reproduce:
1.  Open system-config-network
2.  Go to "Hardware" tab
3.  Click on "New" button
4.  In the "Choose Hardware Type" dialog select "Wireless" and click the "OK" button
5.  In the "Network Adapters Configuration" - the "Adapter" drop down does not
contain entry for Ralink devices which are included as modules in current
kernels. The "Device" drop down contains only "ethX" entries - no "wlan0" ones.

Actual results:
No Wlan cards

Expected results:
Entry for Ralink so that I could manually add such a pcmcia card.

Additional info:
It seems to me that the entries for wlan and normal cable NICs are the same.

The card is a PCMCIA one. 
Info on the card here:
http://www.asus.com/products4.aspx?l1=12&l2=42&l3=135&model=52&modelmenu=1
http://support.asus.com/download/download_item.aspx?model=WL-107g
Comment 1 Alexander Shopov 2007-09-11 08:02:14 EDT
Created attachment 192411 [details]
Screeen capture showing the unsuccessful process of adding the card

This is a screen capture made with byzanz. It is an animated gif.
Comment 2 Harald Hoyer 2007-09-11 08:09:27 EDT
well, it seems, there is no kernel module (driver) present for your card. so
s-c-network does not display it.
Comment 3 Alexander Shopov 2007-09-11 09:50:52 EDT
I respectfully disagree - there is a driver for the card in the standard Fedora
kernel.

rpm -qil kernel |  grep wireless | grep rt
/lib/modules/2.6.22.1-41.fc7/kernel/drivers/net/wireless/orinoco_nortel.ko
/lib/modules/2.6.22.1-41.fc7/kernel/drivers/net/wireless/rt2400pci.ko
/lib/modules/2.6.22.1-41.fc7/kernel/drivers/net/wireless/rt2500pci.ko
/lib/modules/2.6.22.1-41.fc7/kernel/drivers/net/wireless/rt2500usb.ko
/lib/modules/2.6.22.1-41.fc7/kernel/drivers/net/wireless/rt2x00lib.ko
/lib/modules/2.6.22.1-41.fc7/kernel/drivers/net/wireless/rt2x00pci.ko
/lib/modules/2.6.22.1-41.fc7/kernel/drivers/net/wireless/rt2x00usb.ko
/lib/modules/2.6.22.1-41.fc7/kernel/drivers/net/wireless/rt61pci.ko
/lib/modules/2.6.22.1-41.fc7/kernel/drivers/net/wireless/rt73usb.ko
/lib/modules/2.6.22.1-41.fc7/kernel/drivers/net/wireless/rtl8187.ko
/lib/modules/2.6.22.4-65.fc7/kernel/drivers/net/wireless/orinoco_nortel.ko
/lib/modules/2.6.22.4-65.fc7/kernel/drivers/net/wireless/rt2400pci.ko
/lib/modules/2.6.22.4-65.fc7/kernel/drivers/net/wireless/rt2500pci.ko
/lib/modules/2.6.22.4-65.fc7/kernel/drivers/net/wireless/rt2500usb.ko
/lib/modules/2.6.22.4-65.fc7/kernel/drivers/net/wireless/rt2x00lib.ko
/lib/modules/2.6.22.4-65.fc7/kernel/drivers/net/wireless/rt2x00pci.ko
/lib/modules/2.6.22.4-65.fc7/kernel/drivers/net/wireless/rt2x00usb.ko
/lib/modules/2.6.22.4-65.fc7/kernel/drivers/net/wireless/rt61pci.ko
/lib/modules/2.6.22.4-65.fc7/kernel/drivers/net/wireless/rt73usb.ko
/lib/modules/2.6.22.4-65.fc7/kernel/drivers/net/wireless/rtl8187.ko


The rt files are exactly the Ralink modules. 

If you check the kernel source rpm - there is a patch that is appplied and it
brings support for Ralink. The patch is called git-wireless-dev.patch
Comment 4 Harald Hoyer 2007-09-11 09:57:27 EDT
what does:
# /sbin/iwconfig
output? Maybe you have to place a firmware in /lib/firmware?
Comment 5 Alexander Shopov 2007-09-11 11:08:24 EDT
1./sbin/iwconfig

lo        no wireless extensions.

eth0      no wireless extensions.

wmaster0  no wireless extensions.

wlan0     IEEE 802.11g  ESSID:""  
          Mode:Managed  Channel:0  Access Point: Not-Associated   
          Retry min limit:7   RTS thr:off   Fragment thr=2346 B   
          Encryption key:off
          Link Quality:0  Signal level:0  Noise level:0
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

2. /sbin/ifconfig wlan0
wlan0     Link encap:Ethernet  HWaddr 00:1B:FC:26:BE:5D  
          BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)

3. /sbin/lsmod |grep rt
rt2500pci              20801  0 
rt2x00pci              13761  1 rt2500pci
rt2x00lib              22593  2 rt2500pci,rt2x00pci
rfkill                 11089  1 rt2x00lib
input_polldev           8905  1 rt2x00lib
crc_itu_t               6337  1 rt2x00lib
mac80211              147657  4 rc80211_simple,rt2500pci,rt2x00pci,rt2x00lib
eeprom_93cx6            6337  1 rt2500pci
rtc_cmos               12001  0 

4. /sbin/lspci | grep -i rt
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
03:00.0 Network controller: RaLink RT2500 802.11g Cardbus/mini-PCI (rev 01)

5. kudzu -p contains:

class: NETWORK
bus: PCI
detached: 1
device: wlan0
driver: rt2500pci
desc: "RaLink RT2500 802.11g Cardbus/mini-PCI"
network.hwaddr: 00:1b:fc:26:be:5d
vendorId: 1814
deviceId: 0201
subVendorId: 1043
subDeviceId: 107f
pciType: 2
pcidom:    0
pcibus:  3
pcidev:  0
pcifn:  0

6. After that I start system-config-network - but there is still no mention of
the card in system-config-network.

7. No firmware needed for this card (I found that out after I purchased the card). 
http://rt2x00.serialmonkey.com/wiki/index.php?title=Rt2x00_README#Firmware:
http://www.fsf.org/resources/hw/net/wireless/cards.html
Comment 6 Harald Hoyer 2007-09-11 11:13:41 EDT
Use the first screen, "add device" -> "wireless" .. specify wlan0 ...

Or use NetworkManager, which is better suited for wireless cards.
Comment 7 Harald Hoyer 2007-09-11 11:14:34 EDT
first screen == first tab (Devices)
Comment 8 Bug Zapper 2008-05-14 10:19:31 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2008-06-16 22:22:51 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.